Create a Webhook Callback

Register a callback to be used for webhooks

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Client credentials access token (OAuth2ClientCredentials) — obtained through the Client Credentials flow or the Refresh Token flow. See Authentication for partners.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage company resources (company_admin)-Manage webhooks (webhook:write)
Company-scoped access token (assertion)Manage company resources (company_admin)-Manage webhooks (webhook:write)
Client credentials access tokenManage company resources (company_admin)-Manage webhooks (webhook:write)
Customer API tokenManage company resources (company_admin)-Manage webhooks (webhook:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

WebhookCallback

Webhook callback creation params. Provide either subscribed_events or subscribe_to_all_events: true (they are mutually exclusive).

boolean
Defaults to false

When true, subscribe this callback to all current and future event types. Cannot be combined with subscribed_events.

subscribed_events
array of strings
subscribed_events
string
required
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json